/***
 * カルーセルのイメージ縦、横幅を調整
 *
 ***/
:root {
    --carousel-btn-space: 12px;
    --carousel-btn-width: 24px;
    --carousel-btn-height: 50px;
    --carousel-list-item-margin: 5px;
    /* --small-loan-price-height: 24px; */
    /* --small-sp-loan-price-height: 24px; */
    --carousel-small-loan-price-height: 40px;
    --carousel-small-sp-loan-price-height: 36px;
}
.str-section.carousel-section {
    padding: 40px 12px;
}
.carousel-contents-area > ul {
    width: 100%;
    display: flex;
    padding: 4px 0;
    --carousel-list-item-width: calc(20% - 12px);
}
.carousel-contents-area .carousel-list {
    width: var(--carousel-list-item-width);
    margin: 0 var(--carousel-list-item-margin);
}
.carousel-contents-area .carousel-list .list-item-top .image-box {
    display: block;
    height: var(--carousel-list-item-img-height);
}

.carousel-contents-area .carousel-list a:hover {
    text-decoration: none;
}

@media screen and (max-width: 1100px) {
}
@media screen and (max-width: 919.9px) {
    .carousel-contents-area > ul {
        --carousel-list-item-width: calc(33% - 10px);
    }
}
@media screen and (max-width: 800px) {
}
@media screen and (max-width: 640px) {
    .carousel-contents-area > ul {
        --carousel-list-item-width: calc(50% - 12px);
    }
}
@media screen and (max-width: 480px) {
    :root {
        --carousel-list-item-margin: 4px;
    }
    .carousel-contents-area {
        --extra-smaill-item-width: calc(100vw / 2 - 22px);
    }
    .carousel-contents-area > ul {
        --carousel-list-item-img-height: calc(var(--extra-smaill-item-width) * 0.9 / 4 * 3);
    }
    .carousel-contents-area .carousel-list {
        width: var(--extra-smaill-item-width);
    }
}

.str-section.carousel-section {
    padding: 0 0 40px 4px;
    margin-left: -4px;
}
.carousel-wrap {
    display: flex;
    transition: transform 0.3s ease-in-out;
    z-index: 1;
    position: relative;
    width: 100%;
    margin: 0 auto;
    align-items: center;
}
.carousel-contents-area {
    display: flex;
    flex-direction: row;
    overflow-x: hidden;
    width: 100%;
}
.carousel-wrap .carousel-btn.prev {
    position: relative;
    left: calc(var(--carousel-btn-space) * -1);
    width: var(--carousel-btn-width);
    height: var(--carousel-btn-height);
}

.carousel-wrap .carousel-btn.next {
    position: relative;
    right: calc(var(--carousel-btn-space) * -1);
    width: var(--carousel-btn-width);
    height: var(--carousel-btn-height);
}

.carousel-wrap .carousel-btn .icon-carousel-btn {
    filter: drop-shadow(0px 0px 1px #2c2c2c);
    fill: transparent;
    stroke: #fff;
    stroke-width: 3px;
    transition: stroke 0.2s ease-in;
}
.carousel-wrap .carousel-btn:hover .icon-carousel-btn {
    stroke: #000;
}
.carousel-contents-area .list-car .list-item-title {
    font-size: 0.9rem;
    padding-bottom: 4px;
    line-height: 1.3;
    vertical-align: top;
    display: inline-block;
    width: 100%;
}
.carousel-contents-area .list-car .list-item-bottom .carprice-prefix {
    font-size: 0.75rem;
}
.carousel-contents-area .list-car .list-item-bottom .price-text {
    font-size: 1.1rem;
}
.carousel-contents-area .list-car .list-item-bottom .price-demical {
    font-size: 0.9rem;
}
.carousel-contents-area .list-car .list-item-bottom .prefix-string-tax {
    display: none;
}
.carousel-contents-area .list-car .list-item-bottom .list-item-price {
    font-size: 0.8rem;
}
.carousel-contents-area .list-car .list-item-bottom .loan-split-price .split {
    font-size: 1rem;
}
.carousel-contents-area .list-car .list-item-bottom .loan-split-price {
    font-size: 0.7rem;
    padding: unset;
    height: var(--carousel-small-loan-price-height);
    line-height: 1.4;
    /* line-height: 1.6; */
}
.carousel-contents-area .list-car .list-item-bottom .loan-split-price .small-all-loan-price {
    font-size: 0.55rem;
}
.carousel-contents-area .list-car .list-item-bottom .loan-split-price .small-loan-price-text-bottom {
    line-height: 1.6;
}

@media screen and (max-width: 900px) {
}
@media screen and (max-width: 800px) {
}
@media screen and (max-width: 640px) {
    .carousel-contents-area .list-car .list-item-bottom .loan-split-price {
        line-height: 1.6;
    }
}
@media screen and (max-width: 480px) {
    .carousel-contents-area .list-car .list-car-feature > li {
        font-size: 0.7rem;
    }
    .carousel-contents-area .list-car .list-item-title {
        font-size: 0.95rem;
    }
    .carousel-contents-area .list-car .list-item-bottom .carprice-prefix {
        font-size: 0.75rem;
    }
    .carousel-contents-area .list-car .list-item-bottom .price-text {
        font-size: 1.15rem;
    }
    .carousel-contents-area .list-car .list-item-bottom .list-item-price {
        /* font-size: 0.95rem; */
        font-size: inherit;
    }
    .carousel-contents-area .list-car .list-item-bottom .loan-split-price .split {
        font-size: 1.05rem;
    }
    .carousel-contents-area .list-car .list-item-bottom .loan-split-price {
        font-size: 0.65rem;
    }
    .carousel-contents-area .list-car .list-item-bottom .loan-split-price .small-all-loan-price {
        font-size: 0.5rem;
    }
}

@media screen and (max-width: 400px) {
    .carousel-contents-area .list-car .list-car-feature > li {
        font-size: 0.65rem;
    }
    .carousel-contents-area .list-car .list-item-title {
        font-size: 0.8rem;
    }
    .carousel-contents-area .list-car .list-item-bottom .carprice-prefix {
        font-size: 0.65rem;
    }
    .carousel-contents-area .list-car .list-item-bottom .price-text {
        font-size: 1rem;
    }
    /* .carousel-contents-area .list-car .list-item-bottom .list-item-price {
        font-size: inherit;
    } */
    .carousel-contents-area .list-car .list-item-bottom .loan-split-price .split {
        font-size: 0.9rem;
    }
    .carousel-contents-area .list-car .list-item-bottom .loan-split-price {
        /* height: var(--carousel-small-sp-loan-price-height); */
        font-size: 0.65rem;
    }
}

/* PC carousel */
@media screen and (min-width: 600px) {
    .carousel-step {
        display: block;
        width: 100%;
        bottom: 0;
        left: 0;
        right: 0;
        margin: 5px 0 20px;
    }

    .carousel-step ol {
        display: flex;
        justify-content: center;
        margin: auto;
        list-style-type: none;
    }

    .carousel-step ol > li {
        margin: 5px;
    }

    .carousel-step .carousel-step-btn {
        background: none;
        box-shadow: none;
        padding: 0;
        border: none;
        -webkit-appearance: none;
        -moz-appearance: none;
        appearance: none;
        cursor: pointer;
    }

    .carousel-step .carousel-step-btn .icon-carousel-bar {
        fill: #bfc5d0;
    }

    .carousel-step-btn.is-current .icon-carousel-bar {
        fill: #000;
    }
}
/* SP */
@media screen and (max-width: 599.9px) {
    .str-section {
        padding: 40px 16px;
    }
    .carousel-wrap {
        overflow: unset;
    }
    .carousel-inner {
        padding: unset !important;
    }
    .carousel-wrap .carousel-contents-area {
        overflow-x: scroll;
    }
    .carousel-contents-area {
        margin-left: 12px;
    }
    .carousel-wrap .carousel-contents-area .card-container:nth-last-child(2) {
        margin-right: 12px;
    }
    .list-car.carousel {
        padding: unset;
        width: 100%;
    }
    .carousel-wrap .carousel-btn {
        display: none;
    }
    .carousel-step {
        display: none;
    }
}
@media screen and (max-width: 480px) {
    .carousel .list-item-inner .car-info-list-item:nth-child(2) {
        margin-left: 4px;
    }
}
@media screen and (max-width: 400px) {
    .carousel-contents-area .list-car .list-item-bottom .price-demical {
        font-size: 0.75rem;
    }
}
